Project Environment Configuration Revisions
3 operations.
| Method | Endpoint | Description |
|---|---|---|
| GET | /api/v1/projects/{projectId}/environments/{environmentId}/configuration-revisions | List Environment configuration revisions |
| POST | /api/v1/projects/{projectId}/environments/{environmentId}/configuration-revisions | Create an immutable Environment configuration revision |
| GET | /api/v1/projects/{projectId}/environments/{environmentId}/configuration-revisions/{configurationRevisionId} | Get an Environment configuration revision |
List Environment configuration revisions
GET/api/v1/projects/{projectId}/environments/{environmentId}/configuration-revisions
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to List Environment configuration revisions. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to List Environment configuration revisions. |
query
| Name | Type | Required | Description |
|---|---|---|---|
| cursor | string | optional | Opaque cursor returned by the previous page; omit it to read the first page. Applies to List Environment configuration revisions. |
| limit | integer | optional | Sets the maximum number of resources returned in this page. Applies to List Environment configuration revisions. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 409 | Request conflicts with current state of the resource, including safe deployment conflict classifications. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|
Create an immutable Environment configuration revision
POST/api/v1/projects/{projectId}/environments/{environmentId}/configuration-revisions
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to Create an immutable Environment configuration revision. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to Create an immutable Environment configuration revision. |
Request body
required — Request body for: Create an immutable Environment configuration revision.
application/json
| Name | Type | Required | Description |
|---|---|---|---|
| expectedHeadRevisionId | one of 2 types | required | |
| snapshot | object | required |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 409 | Request conflicts with current state of the resource, including safe deployment conflict classifications. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|
Get an Environment configuration revision
GET/api/v1/projects/{projectId}/environments/{environmentId}/configuration-revisions/{configurationRevisionId}
Parameters
path
| Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | Identifies the Project that owns the addressed resource. Applies to Get an Environment configuration revision. |
| environmentId | string | required | Identifies the Project environment addressed by the operation. Applies to Get an Environment configuration revision. |
| configurationRevisionId | string | required | Identifies the immutable Environment configuration revision. Applies to Get an Environment configuration revision. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Response for status 200 | application/json object
|
| 400 | The request is malformed or cannot be processed. | application/json PublicApiError
|
| 401 | Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired | application/json PublicApiError
|
| 403 | Access denied. The authenticated user does not have permission to perform this action. | application/json PublicApiError
|
| 404 | Resource not found. | application/json PublicApiError
|
| 422 | Request validation failed. Check the request body, query parameters, or path parameters. | application/json PublicApiError
|
| 500 | The server could not complete the request. | application/json PublicApiError
|